use crate::models::Board;
use regex::Regex;
use crate::constants::re;

impl Board {
    pub fn is_valid_name(text: &String) -> bool {
        lazy_static! {
            static ref RE: Regex = Regex::new(&format!("^{}$", re::BOARD)).unwrap();
        }
        RE.is_match(text)
    }
}
